import * as React from 'react';
import { AnyT } from '../../definitions.interface';
import { IDomAccessor, IEventManager, IGenericBaseComponentProps, IPhoneConverter, IUiFactory, TranslatorT } from '../../definition';
import { ISettingsEntity } from '../../settings';
import { IDateConverter, INumberConverter } from '../../converter';
export declare class GenericBaseComponent<TProps extends IGenericBaseComponentProps = IGenericBaseComponentProps, TState = {}, TSelfRef = AnyT> extends React.PureComponent<TProps, TState> {
    protected readonly selfRef: React.RefObject<TSelfRef>;
    private $dc;
    private $domAccessor;
    private $eventManager;
    private $nc;
    private $pc;
    private $settings;
    private $t;
    private $uiFactory;
    /**
     * @stable [18.03.2020]
     * @returns {ISettingsEntity}
     */
    protected readonly settings: ISettingsEntity;
    /**
     * @stable [30.03.2020]
     * @returns {INumberConverter}
     */
    protected readonly nc: INumberConverter;
    /**
     * @stable [30.03.2020]
     * @returns {IPhoneConverter}
     */
    protected readonly pc: IPhoneConverter;
    /**
     * @stable [30.03.2020]
     * @returns {IDateConverter}
     */
    protected readonly dc: IDateConverter;
    /**
     * @stable [30.03.2020]
     * @returns {IEventManager}
     */
    protected readonly eventManager: IEventManager;
    /**
     * @stable [18.03.2020]
     * @returns {TranslatorT}
     */
    protected readonly t: TranslatorT;
    /**
     * @stable [18.03.2020]
     * @returns {IUiFactory}
     */
    protected readonly uiFactory: IUiFactory;
    /**
     * @stable [05.04.2020]
     * @returns {IDomAccessor}
     */
    protected readonly domAccessor: IDomAccessor;
}
