"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var di_1 = require("../../di");
var GenericBaseComponent = /** @class */ (function (_super) {
    __extends(GenericBaseComponent, _super);
    function GenericBaseComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.selfRef = React.createRef();
        return _this;
    }
    Object.defineProperty(GenericBaseComponent.prototype, "settings", {
        /**
         * @stable [18.03.2020]
         * @returns {ISettingsEntity}
         */
        get: function () {
            return this.$settings = this.$settings || di_1.getSettings();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "nc", {
        /**
         * @stable [30.03.2020]
         * @returns {INumberConverter}
         */
        get: function () {
            return this.$nc = this.$nc || di_1.getNumberConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "pc", {
        /**
         * @stable [30.03.2020]
         * @returns {IPhoneConverter}
         */
        get: function () {
            return this.$pc = this.$pc || di_1.getPhoneConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "dc", {
        /**
         * @stable [30.03.2020]
         * @returns {IDateConverter}
         */
        get: function () {
            return this.$dc = this.$dc || di_1.getDateConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "eventManager", {
        /**
         * @stable [30.03.2020]
         * @returns {IEventManager}
         */
        get: function () {
            return this.$eventManager = this.$eventManager || di_1.getEventManager();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "t", {
        /**
         * @stable [18.03.2020]
         * @returns {TranslatorT}
         */
        get: function () {
            return this.$t = this.$t || di_1.getTranslator();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "uiFactory", {
        /**
         * @stable [18.03.2020]
         * @returns {IUiFactory}
         */
        get: function () {
            return this.$uiFactory = this.$uiFactory || di_1.getUiFactory();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "domAccessor", {
        /**
         * @stable [05.04.2020]
         * @returns {IDomAccessor}
         */
        get: function () {
            return this.$domAccessor = this.$domAccessor || di_1.getDomAccessor();
        },
        enumerable: true,
        configurable: true
    });
    return GenericBaseComponent;
}(React.PureComponent));
exports.GenericBaseComponent = GenericBaseComponent;
//# sourceMappingURL=generic-base.component.js.map