"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var di_1 = require("../../di");
var util_1 = require("../../util");
/**
 * TODO
 * @deprecated
 */
var UniversalContainer = /** @class */ (function (_super) {
    __extends(UniversalContainer, _super);
    function UniversalContainer() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.selfRef = React.createRef();
        return _this;
    }
    /**
     * @stable [27.10.2019]
     * @param {string} type
     * @param {TData} data
     */
    UniversalContainer.prototype.dispatchCustomType = function (type, data) {
        this.appStore.dispatch({ type: type, data: data });
    };
    /**
     * @stable [27.10.2019]
     * @param {string} type
     * @param {TData} data
     * @param {string} otherSectionName
     */
    UniversalContainer.prototype.dispatch = function (type, data, otherSectionName) {
        var sectionName = this.props.sectionName;
        var finalSectionName = otherSectionName || sectionName;
        this.dispatchCustomType(finalSectionName + "." + type, util_1.applySection(finalSectionName, data));
    };
    /**
     * @deprecated Use proxy
     */
    UniversalContainer.prototype.dispatchFrameworkAction = function (type, data, otherSection) {
        var props = this.props;
        var section = otherSection || props.sectionName;
        this.dispatchCustomType(util_1.toActionPrefix(section) + "." + type, util_1.applySection(section, data));
    };
    /**
     * @deprecated Use TransportStoreProxy
     */
    UniversalContainer.prototype.isTransportOperationInProgress = function (operation) {
        return this.props.transport.queue.includes(util_1.isString(operation)
            ? operation
            : operation.id);
    };
    /**
     * @stable [16.11.2019]
     * @param {TAccessConfig} checkedObject
     * @returns {boolean}
     */
    UniversalContainer.prototype.hasPermission = function (checkedObject) {
        return this.permissionsManager.isAccessible(checkedObject);
    };
    Object.defineProperty(UniversalContainer.prototype, "routes", {
        /**
         * @stable - 15.04.2018
         * @returns {IRoutesEntity}
         */
        get: function () {
            return di_1.staticInjector(di_1.DI_TYPES.Routes);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @deprecated Use proxy
     */
    UniversalContainer.prototype.doNavigate = function (action, path, state) {
        this.dispatchCustomType(action, util_1.toType({ path: path, state: state }));
    };
    Object.defineProperty(UniversalContainer.prototype, "appStore", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {Store<IUniversalStoreEntity>}
         */
        get: function () {
            return di_1.getStore();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "permissionsManager", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {IPermissionsManager<TAccessConfig>}
         */
        get: function () {
            return di_1.getPermissionsManager();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "t", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {TranslatorT}
         */
        get: function () {
            return di_1.getTranslator();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "dc", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {IDateConverter}
         */
        get: function () {
            return di_1.getDateConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "settings", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {ISettingsEntity}
         */
        get: function () {
            return di_1.getSettings();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "nc", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {INumberConverter}
         */
        get: function () {
            return di_1.getNumberConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "domAccessor", {
        /**
         * @react-native-compatible
         * @stable [19.02.2020]
         * @returns {IDomAccessor}
         */
        get: function () {
            return di_1.getDomAccessor();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "pc", {
        /**
         * @react-native-compatible
         * @returns {IPhoneConverter}
         */
        get: function () {
            return di_1.getPhoneConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "uiFactory", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {IUIFactory}
         */
        get: function () {
            return di_1.getUiFactory();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "environment", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {IEnvironment}
         */
        get: function () {
            return di_1.getEnvironment();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "eventManager", {
        /**
         * @react-native-compatible
         * @stable [07.10.2019]
         * @returns {IEventManager}
         */
        get: function () {
            return di_1.getEventManager();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "auth", {
        /**
         * @react-native-compatible
         * @stable [16.11.2019]
         * @returns {IAuth}
         */
        get: function () {
            return di_1.getAuth();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UniversalContainer.prototype, "dynamicRoutes", {
        /**
         * @react-native-compatible
         * @stable [16.11.2019]
         * @returns {DynamicRoutesMapT}
         */
        get: function () {
            return di_1.getDynamicRoutes();
        },
        enumerable: true,
        configurable: true
    });
    return UniversalContainer;
}(React.PureComponent));
exports.UniversalContainer = UniversalContainer;
//# sourceMappingURL=universal.container.js.map