import { IChannelWrapperEntity, IDictionariesWrapperEntity, ILayoutWrapperEntity, INotificationWrapperEntity, IGenericActiveQueryEntity, IQueryFilterEntity, IStackWrapperEntity, ITransportWrapperEntity, IUserWrapperEntity } from '../../definition';
export declare const layoutMapper: (state: ILayoutWrapperEntity) => ILayoutWrapperEntity;
export declare const filterMapper: (filterState: IGenericActiveQueryEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
export declare const notificationMapper: (state: INotificationWrapperEntity) => INotificationWrapperEntity;
export declare const channelMapper: (state: IChannelWrapperEntity) => IChannelWrapperEntity;
/**
 * @deprecated Use mapQueryFilterEntity
 */
export declare const filterWrapperMapper: (filterState: IQueryFilterEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
/**
 * @stable [18.09.2018]
 * @param {IStackWrapperEntity} state
 * @returns {IStackWrapperEntity}
 */
export declare const stackMapper: (state: IStackWrapperEntity<import("core/definition/stack-definition.interface").IStackEntity>) => IStackWrapperEntity<import("core/definition/stack-definition.interface").IStackEntity>;
export declare const defaultMappers: ((<TEntity = import("core/definition/user-definition.interface").IUserEntity>(wrapper: IUserWrapperEntity<TEntity>) => IUserWrapperEntity<TEntity>) | (<TTransport = import("core/definition/transport-definition.interface").ITransportEntity>(wrapper: ITransportWrapperEntity<TTransport>) => ITransportWrapperEntity<TTransport>) | (<TDictionaries = import("core/definition/dictionary-definition.interface").IDictionariesEntity>(wrapper: IDictionariesWrapperEntity<TDictionaries>) => IDictionariesWrapperEntity<TDictionaries>) | ((state: ILayoutWrapperEntity) => ILayoutWrapperEntity) | ((state: INotificationWrapperEntity) => INotificationWrapperEntity) | ((state: IChannelWrapperEntity) => IChannelWrapperEntity) | ((state: IStackWrapperEntity<import("core/definition/stack-definition.interface").IStackEntity>) => IStackWrapperEntity<import("core/definition/stack-definition.interface").IStackEntity>))[];
