import { StoreProxy } from '../store.proxy';
import { IDictionaryStoreProxy, IGenericContainer, IGenericContainerProps, IGenericStoreEntity } from '../../../../definition';
export declare class DictionaryStoreProxy<TStore extends IGenericStoreEntity = IGenericStoreEntity, TProps extends IGenericContainerProps = IGenericContainerProps> extends StoreProxy<TStore, TProps> implements IDictionaryStoreProxy {
    readonly container: IGenericContainer<TProps>;
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    constructor(container: IGenericContainer<TProps>);
    /**
     * @stable [11.01.2020]
     * @param {string} dictionary
     * @param {TData} data
     */
    dispatchLoadDictionary<TData = {}>(dictionary: string, data?: TData): void;
}
