"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
function mapErrorObject(error) {
    var errorAsPlainObject = error;
    if (error instanceof Error) {
        return { message: error.message };
    }
    else if (errorAsPlainObject && errorAsPlainObject.message) {
        return {
            message: util_1.notNilValuesArrayFilter(errorAsPlainObject.code, errorAsPlainObject.message).join(': '),
            code: errorAsPlainObject.code,
        };
    }
    return { message: String(error) };
}
exports.mapErrorObject = mapErrorObject;
//# sourceMappingURL=error.converter.js.map