import { IEffectsAction } from 'redux-effects-promise';
import { ILoadedListMiddlewareConfigEntity, ILoadedListOnFormValidMiddlewareConfigEntity, ILoadedListOnTabActivateMiddlewareConfigEntity, ILoadedListOnToolbarToolsRefreshConfigEntity, IUntouchedListMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [29.03.2020]
 * @param {ILoadedListMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction}
 */
export declare const makeLoadedListMiddleware: <TState = {}>(cfg: ILoadedListMiddlewareConfigEntity<TState>) => IEffectsAction;
/**
 * @stable [29.03.2020]
 * @param {ILoadedListOnFormValidMiddlewareConfigEntity<TState>} config
 * @returns {IEffectsAction}
 */
export declare const makeLoadedListOnFormValidMiddleware: <TState = {}>(config: ILoadedListOnFormValidMiddlewareConfigEntity<TState>) => IEffectsAction;
/**
 * @stable [29.03.2020]
 * @param {ILoadedListOnTabActivateMiddlewareConfigEntity<TState>} config
 * @returns {IEffectsAction}
 */
export declare const makeLoadedListOnTabActivateMiddleware: <TState = {}>(config: ILoadedListOnTabActivateMiddlewareConfigEntity<TState>) => IEffectsAction;
/**
 * @stable [11.04.2020]
 * @param {ILoadedListOnToolbarToolsRefreshConfigEntity<TState>} config
 * @returns {IEffectsAction}
 */
export declare const makeLoadedListOnToolbarToolsRefreshMiddleware: <TState = {}>(config: ILoadedListOnToolbarToolsRefreshConfigEntity<TState>) => IEffectsAction;
/**
 * @stable [29.03.2020]
 * @param {IUntouchedListMiddlewareConfigEntity<TState>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeUntouchedListMiddleware: <TState = {}>(config: IUntouchedListMiddlewareConfigEntity<TState, {}>) => IEffectsAction[];
