import { IEffectsAction } from 'redux-effects-promise';
import { IKeyValue } from '../definitions.interface';
import { IActionStateEntity, IContainerMiddlewareConfigEntity, IFormMiddlewareConfigEntity, IListMiddlewareConfigEntity, ISectionDataEntity, ITabPanelMiddlewareConfigEntity } from '../definition';
/**
 * @stable [04.12.2019]
 * @param {string} section
 * @param {IKeyValue | IKeyValue[]} data
 * @returns {TResult}
 */
export declare const applySection: <TResult extends ISectionDataEntity<IKeyValue> = ISectionDataEntity<IKeyValue>>(section: string, data?: IKeyValue | IKeyValue[]) => TResult;
/**
 * @stable [31.08.2018]
 * @param {string} section
 * @returns {string}
 */
export declare const toActionPrefix: (section: string) => string;
/**
 * @stable [05.12.2019]
 * @param {IEffectsAction} action
 * @returns {string}
 */
export declare const toSection: (action: IEffectsAction) => string;
/**
 * @stable [11.04.2020]
 * @param {IListMiddlewareConfigEntity<TState> & IActionStateEntity<TState>} cfg
 * @returns {string}
 */
export declare const toListSection: <TState = {}>(cfg: IListMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
/**
 * @stable [11.04.2020]
 * @param {IContainerMiddlewareConfigEntity<TState> & IActionStateEntity<TState>} cfg
 * @returns {string}
 */
export declare const toContainerSection: <TState = {}>(cfg: IContainerMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
/**
 * @stable [11.04.2020]
 * @param {IFormMiddlewareConfigEntity<TState> & IActionStateEntity<TState>} cfg
 * @returns {string}
 */
export declare const toFormSection: <TState = {}>(cfg: IFormMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
/**
 * @stable [12.04.2020]
 * @param {ITabPanelMiddlewareConfigEntity<TState> & IActionStateEntity<TState>} cfg
 * @returns {string}
 */
export declare const toTabPanelSection: <TState = {}>(cfg: ITabPanelMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
